<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/cv_mode_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/31/83  cv_mode_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in cv_mode_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: cv_mode_: 02/01/83  cv_mode_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function:   converts a character string containing access
<span id="L12" class="LineNr">12 </span>modes for segments into a bit string used by the ACL entries.
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>Syntax:
<span id="L16" class="LineNr">16 </span>declare cv_mode_ entry<span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L17" class="LineNr">17 </span>call cv_mode_ <span class="textRainbow_lv0_p0">(</span>char_modes<span class="textRainbow_lv0_o0">,</span> bit_modes<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L18" class="LineNr">18 </span>
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>Arguments:
<span id="L21" class="LineNr">21 </span>char_modes
<span id="L22" class="LineNr">22 </span>   are the character string access modes.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L23" class="LineNr">23 </span>bit_modes
<span id="L24" class="LineNr">24 </span>   are the bit string access modes.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L25" class="LineNr">25 </span>code
<span id="L26" class="LineNr">26 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can be:
<span id="L27" class="LineNr">27 </span>   error_table_$bad_acl_mode
<span id="L28" class="LineNr">28 </span>      if char_mode contains an invalid segment access mode character.
<span id="L29" class="LineNr">29 </span>
<span id="L30" class="LineNr">30 </span>
<span id="L31" class="LineNr">31 </span>Notes:
<span id="L32" class="LineNr">32 </span>If char_modes is &quot;null&quot; or &quot;n&quot;, bit_modes is set to &quot;0&quot;b.  The mode
<span id="L33" class="LineNr">33 </span>characters in char_modes may occur in any order.  Spaces are ignored.
<span id="L34" class="LineNr">34 </span>The following table indicates what bit in bit_modes is turned on when
<span id="L35" class="LineNr">35 </span>the access mode character is found.
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span>     Access Mode     Bit in bit_modes
<span id="L38" class="LineNr">38 </span>     -----------     ----------------
<span id="L39" class="LineNr">39 </span>          r                  1
<span id="L40" class="LineNr">40 </span>          e                  2
<span id="L41" class="LineNr">41 </span>          w                  3
<span id="L42" class="LineNr">42 </span>
<span id="L43" class="LineNr">43 </span>
<span id="L44" class="LineNr">44 </span>These values are declared in access_mode_values.incl.pl1.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
